Bug 173315 - Remove exlicit 'Requires: cyrus-sasl"
Remove exlicit 'Requires: cyrus-sasl"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 04:26 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 11:15:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-11-16 04:26:11 EST
+++ This bug was initially created as a clone of Bug #173313 +++

Description of problem:

Packaging of cyrus-sasl has been changed; now, the 'cyrus-sasl' package contains
only tools introducing huge dependencies (mysql, postgresql). These tools are
not required for sendmail to work.

Therefore, the explicit 'Requires: cyrus-sasl' should be removed. 



Version-Release number of selected component (if applicable):

sendmail-8.13.5-2
Comment 1 Thomas Woerner 2005-12-13 09:10:26 EST
Sendmail is compiled with sasl2 support. saslauthd is required for this to work
and this daemon is still part of the package cyrus-sasl.

Therefore this is requirement is still needed.

Closing as NOTABUG.
Comment 2 Enrico Scholz 2005-12-13 09:29:31 EST
| [root@mailhost /]# ps axfuw | grep 'saslauthd\|sendmail'
| root     30536  0.0  0.0   3776   744 pts/4    S+   15:31   0:00  \_ grep saslauthd\|sendmail
| root      4504  0.0  0.1   8456  3980 ?        Ss   Sep14   1:23 sendmail: accepting connections
| smmsp    23827  0.0  0.1   6952  2672 ?        Ss   Dec03   0:00 sendmail: Queue runner@00:30:00 for /var/spool/clientmq
| [root@mailhost /]# 

So, saslauthd is not needed for sendmail.
Comment 3 Robert Scheck 2005-12-13 18:06:04 EST
The default configuration of sendmail is imho expecting saslauthd anyway for 
sending mails using smtp-auth, so I would agree with Thomas.
Comment 4 Enrico Scholz 2005-12-14 01:58:15 EST
Following this logic (it is supported so we need a Requires:) 

sendmail allows to use cyrus-imapd as a mailer. Why do we not have a Requires:
cyrus-imapd.

sendmail can authenticate with SASL/GSSAPI. Why do we not have a Requires:
cyrus-sasl-gssapi?


When you REALLY, REALLY, REALLY want saslauthd, then write

| Requires: /usr/sbin/saslauthd

This allows to use a more lightweight 'saslauthd' instead of the currently
poorly packaged cyrus-sasl.


But again: 'saslauthd' is NOT REQUIRED for sendmail to work. I have dozens of
installations proving that.
Comment 5 Enrico Scholz 2006-02-04 11:39:57 EST
ping
Comment 6 Thomas Woerner 2006-06-06 11:15:51 EDT
Fixed in rawhide in rpm sendmail-8.13.5-3 or newer.

Note You need to log in before you can comment on or make changes to this bug.